package cn.ezhizao.project.business.collection.mapper;

import cn.ezhizao.project.business.collection.domain.BizCollectionDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author 朱汕
 */
@Mapper
public interface BizCollectionDetailMapper extends BaseMapper<BizCollectionDetail> {

    /**
     * 带条件的查询
     *
     * @param conditions 条件
     * @return List 集合
     */
    List<BizCollectionDetail> getList(Map<String, Object> conditions);

    /**
     * 根据Bean查询 列表
     *
     * @param collectionDetail 实体类对象
     * @return List 集合
     */
    List<BizCollectionDetail> getList(BizCollectionDetail collectionDetail);

    /**
     * 带条件的查询总数
     *
     * @param conditions 条件
     * @return int 查询总数量
     */
    int getTotal(Map<String, Object> conditions);

    /**
     * 物理删除，根据条件删除
     *
     * @param conditions 条件
     * @return int 执行成功的数量
     */
    Integer physicallyDelete(BizCollectionDetail conditions);

    void remove(List<Long> ids);

    List<BizCollectionDetail> getDetailList(BizCollectionDetail collectionDetail);
}


